## ros-jazzy-behaviortree-cpp 4.6.1

=== debian/changelog ===
ros-jazzy-behaviortree-cpp (4.6.1-1bookworm) bookworm; urgency=high

  * remove flatbuffers from public API and old file_logger
  * fix issue #824 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/824>: use global in Blackboard::set
  * Add test for setting a global blackboard entry using a node's output port #823 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/823>
  * examples renamed
  * Contributors: Davide Faconti, Robin Müller

 -- Davide Faconti <davide.faconti@gmail.com>  Sun, 19 May 2024 22:00:00 -0000

ros-jazzy-behaviortree-cpp (4.6.0-1bookworm) bookworm; urgency=high

  * add tutorial 19 about the global blackboard
  * renamed examples to match website
  * Update TestNode and the corresponding tutorial
  * bug fixes related to sequence_id and unit tests added
  * Add string concatenation operator to scripting (#802 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/802>)
  * Add library alias for BT::behaviortree_cpp (#808 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/808>)
  * add Time Stamped blackboard (#805 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/805>)
  * add additional information and functionality to SQLiteLogger
  * add syntax for entries in the root blackboard ("@" prefix)
  * Fix/pixi build (#791 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/791>)
  * fix unit tests in Windows
  * fix windows compilation
  * Update cmake_windows.yml
  * Deprecate Balckboard::clear(). Issue #794 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/794>
  * Support string vector conversion for ports (#790 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/790>)
  * add more convertToString for integers
  * warn about overwritten enums
  * fix ambiguous to_json
  * Extend unit test for blackboard backup to run the second tree (#789 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/789>)
  * json convertion changed and
  * issue #755 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/755> : add backchaining test and change reactive nodes checks (#770 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/770>)
  * Update switch_node.h
  * test moved and port remapping fixed
  * Create pull_request_template.md
  * adding pre-commit
  * handle enums conversions is assignment
  * Contributors: Davide Faconti, Sean Geles, Sebastian Castro, Victor Massagué Respall, avikus-seonghyeon.kwon, tony-p

 -- Davide Faconti <davide.faconti@gmail.com>  Sat, 27 Apr 2024 22:00:00 -0000

ros-jazzy-behaviortree-cpp (4.5.2-1bookworm) bookworm; urgency=high

  * bugfix: string to enum/integer/boolean in scripts
  * bug fix in scripting comparison
  * added more pretty-prints to demangler
  * fixes and checks in default values, based on PR #773 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/773>
  * Initialize std::atomic_bool (#772 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/772>)
  * Fix issue #767 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/767> and #768 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/768>
  * updated default port syntax: "{=}"
  * new default port capability: blackbard entries
  * fix issue #757 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/757> : skipped nodes should not call post-condition ALWAYS
  * Merge pull request #756 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/756> from imere/imere-patch-1
  * fix(test): Typo in gtest_blackboard.cpp
  * Contributors: Davide Faconti, Lu Z, Marq Rasmussen

 -- Davide Faconti <davide.faconti@gmail.com>  Wed, 06 Mar 2024 23:00:00 -0000

ros-jazzy-behaviortree-cpp (4.5.1-1bookworm) bookworm; urgency=high

  * Support enums and real numbers in Node Switch
  * improve Any::castPtr and add example
  * fix issue #748 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/748> : static error messages
  * Merge pull request #746 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/746> from galou/snprintf
    Use snprintf instead of sprintf
  * Use snprintf instead of sprintf
    - Augment the buffer size on doc error.
    - Let sprintf in switch_node.h since the max. string length is known.
  * Contributors: Davide Faconti, Gaël Écorchard

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 22 Jan 2024 23:00:00 -0000

ros-jazzy-behaviortree-cpp (4.5.0-1bookworm) bookworm; urgency=high

  * fix typo in unit test #733 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/733>
  * allow Input/Output ports with type Any
  * Merge pull request #703 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/703> from galou/export_xsd
    Implement writeTreeXSD() to generate an XSD
  * Any::isType() will return the original type. Cherry picking from #708 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/708>
  * fix #734 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/734>
  * remove unneeded includes
  * add Any::castPtr
  * add alias KeyValueVector
  * Merge pull request #730 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/730> from adlarkin/add_metadata
    Add optional metadata to TreeNodeManifest
  * Contributors: Ashton Larkin, Davide Faconti, Gaël Écorchard

 -- Davide Faconti <davide.faconti@gmail.com>  Tue, 09 Jan 2024 23:00:00 -0000

ros-jazzy-behaviortree-cpp (4.4.3-1bookworm) bookworm; urgency=high

  * Merge pull request #709 from galou/unset_blackboard
  * fix issue #725 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/725> : SetBlackboard can copy entries
  * add more unit tests
  * fix typos #721 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/721>
  * fix: guard macro declaration to prevent redefinition warning
  * fix: Rename scoped lock so it doesn't hide the outer lock triggering a compiler warning
  * add private ports to exclude from autoremapping #706 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/706>
  * fix issue #713 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/713>:  getNodesByPath should be const

