## ros-jazzy-behaviortree-cpp 4.6.2

=== debian/changelog ===
ros-jazzy-behaviortree-cpp (4.6.2-1bookworm) bookworm; urgency=high

  * Initialize template variable T out (#839 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/839>)
  * Building with a recent compiler fails due incompatible expected library (#833 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/833>)
    * nonstd::expected updated to 0.8
  * fix issue #829 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/829>: support again custom JSON converters
  * fix issue #834 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/834>: enable minitrace
  * allow multiple instances of the loggers
  * fix issue #827 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/827> : verify <BehaviorTree> name
  * add TickMonitorCallback
  * Fix typo in FallbackNode constructor parameter name (#830 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/830>)
  * fix segfault and throw instead when manifest is nullptr
  * Add in call to ament_export_targets. (#826 <https://github.com/BehaviorTree/BehaviorTree.CPP/issues/826>)
  * Contributors: Davide Faconti, S. Messerschmidt, Sharmin Ramli, avikus-seonghyeon.kwon

 -- Davide Faconti <davide.faconti@gmail.com>  Tue, 25 Jun 2024 16:00:00 -0000
